#ifndef GLOBALS_H_INCLUDED
#define GLOBALS_H_INCLUDED
/*
 * Global defines
 *
 * To port this software to another platform (os / web server), add
 * global defines here and adjust the source, but do not break
 * existing functionality, just add custom defines!
 */

//Which build, exclusive!
#define IISBUILD					//Builds for Windows + IIS (isapi filter)
//#define ISABUILD					//Builds for ISA Server (reverse proxy isapi filter)

//#define PRIVATEBUILD				//is this a private build (for me only)
//#define TESTBUILD					//for testing purposes only (for me only)

#define APP_NAME			"WebKnight"
#define APP_VERSION			"4.2" //only major.minor (for upgrade())
#define APP_SERVER_HEADER	APP_NAME ## "/" ## APP_VERSION
#define APP_FULLNAME		"AQTRONIX " ## APP_NAME ## " " ## APP_VERSION
//also adjust the version in the resource file

#endif //GLOBALS_H_INCLUDED